<?php
App::uses('EvManualPaymentAppController', 'EvManualPayment.Controller');
class ManualPaymentController extends EvManualPaymentAppController {

	public $adminActions = array(
		'admin_payments'
	);

	public function __construct(CakeRequest $Request, CakeResponse $Response) {
		parent::__construct($Request, $Response);
		$this->components[] = 'EvTransactions.Transactions';
	}

	public function admin_payments() {
		$this->Paginator->settings = array(
			'limit' => 25,
			'conditions' => array(
				'Transaction.payment_method' => 'EvManualPayment.ManualPayment',
				'Transaction.status' => 'initiated'
			)
		);
		$this->loadModel('EvTransactions.Transaction');
		$data = $this->Paginator->paginate('Transaction');
		$this->set('data', $data);
		$this->set('primaryModel', 'Transaction');

		$this->set('columns', $this->_adminIndexColumns());
		$this->set('actions', $this->_adminIndexActions());

		$this->view = 'admin_index';


	}

	protected function _adminIndexColumns() {
		$columns = array(
			'Transaction.id' => array(
				'type' => 'integer',
				'label' => 'Id'
			),
			'Transaction.status' => array(
				'type' => 'string',
				'label' => 'Status'
			),
			'Transaction.created' => array(
				'type' => 'datetime',
				'label' => 'Date'
			)
		);

		return $columns;

	}

	protected function _adminIndexActions() {
		return array();
	}


	public function payment_instructions() {
		return;
	}

}
